0

webpack.dev.config.js

module: {
        rules: [{
            test: /\.css$/,
            use: ['style-loader', 'css-loader', 'postcss-loader']
        }, {
            test: /\.less$/,
            use: ['style-loader', 'css-loader', 'postcss-loader','less-loader']
        }]
    }

.babelrc文件配置antd

"plugins": [
        [
            "import",
            {
                "libraryName": "antd",
                "style": true
            }
        ]
     ]

警告信息:

WARNING in ./node_modules/_css-loader@2.1.1@css-loader/dist/cjs.js?modules&localIdentName=[local]-[hash:base64:5]!./node_modules/_postcss-loader@3.0.0@postcss-loader/src!./node_modules/_less-loader@4.1.0@less-loader/dist/cjs.js!./node_modules/_antd@3.16.5@antd/es/style/index.less
Warning

大佬,react集成less的时候警告了,怎么解决?

2019-04-24 提问
1 个回答
0

虽然我react基础还没学完,但不妨碍我给出猜测,你新建了babelrc文件,其他use中用到了babel-loader也会读取这个配置,这样就覆盖了原来写在文件内的babel配置,所以报错了。这个babel-loader 的配置还是写在文件内

撰写答案

推广链接